Get order - Merchant Orders - Mercado Pago Developers
Get order

Check the payment information for a product or service with the ID of the order you want

GET

https://api.mercadopago.com/merchant_orders/{id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
number

REQUIRED

Unique identifier of the order generated by Mercado Pago
Response parameters
id
number
Unique identifier of the order generated by Mercado Pago
status
string
Show the current merchant order state.
opened: Order without payments.
closed: Order with payments covering total amount.
expired: Canceled order that does not have approved or pending payments (all rejected or returned).
external_reference
string
Unique identifier sent by the seller to relate the order_id generated by Mercado Pago, with the id of their payment system
preference_id
string
Identifier of the payment preference associated to the order
Errors

400Error

invalid_format

invalid caller.id.

401Error

invalid_token

access denied.

invalid_caller_id

invalid caller_id

Request
curl -X GET \
    'https://api.mercadopago.com/merchant_orders/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": 9999999999,
  "status": "closed",
  "external_reference": "default",
  "preference_id": "Preference identification",
  "payments": [
    {
      "id": 9999999999,
      "transaction_amount": 1,
      "total_paid_amount": 1,
      "shipping_cost": 0,
      "currency_id": "BRL",
      "status": "approved",
      "status_detail": "accredited",
      "date_approved": "2019-04-02T18:35:35.000Z",
      "date_created": "2019-04-02T18:35:34.000Z",
      "last_modified": "2019-04-02T18:35:35.000Z",
      "amount_refunded": 0
    }
  ],
  "shipments": [
    {
      "id": 99999999999,
      "shipment_type": "shipping",
      "shipping_mode": "me2",
      "status": "delivered",
      "items": [
        {
          "id": "not specified",
          "description": "shipment item description",
          "quantity": 1,
          "dimensions": "1.0x10.0x23.0100.0"
        }
      ],
      "date_created": "2019-04-02T18:20:46.000Z",
      "last_modified": "2019-04-12T19:36:48.000Z",
      "date_first_printed": "2019-04-02T18:35:40.000Z",
      "service_id": 999,
      "sender_id": 999999999,
      "receiver_id": 999999999,
      "receiver_address": {
        "id": 9999999999,
        "address_line": "address line",
        "city": {
          "name": "City Name"
        },
        "state": {
          "id": "AR-X",
          "name": "state name"
        },
        "country": {
          "id": "AR",
          "name": "Argentina"
        },
        "latitude": 0,
        "longitude": 0,
        "comment": "shipment comment",
        "contact": "shipment contact",
        "phone": 9999999999,
        "zip_code": 9999,
        "street_name": {
          "en": "Street name",
          "pt": "Nome da rua",
          "es": "Nombre de la calle"
        },
        "street_number": 999
      },
      "shipping_option": {
        "id": 999999999,
        "cost": 0,
        "currency_id": "BRL",
        "shipping_method_id": 99999,
        "estimated_delivery": {
          "date": "2019-04-11T03:00:00.000Z"
        },
        "name": "Normal a domicilio",
        "list_cost": 0,
        "speed": {
          "handling": 72,
          "shipping": 72
        }
      }
    }
  ],
  "payouts": {},
  "collector": {
    "id": 999999999,
    "email": "vendedor+329653108@adf12.com.br",
    "nickname": "TESTRPEHE21Q"
  },
  "marketplace": "NONE",
  "date_created": "2018-09-14T17:11:31.000Z",
  "last_updated": "2018-09-14T17:11:43.000Z",
  "shipping_cost": 0,
  "total_amount": 5,
  "site_id": "mla",
  "paid_amount": 5,
  "refunded_amount": 0,
  "payer": {
    "id": 999999999
  },
  "items": [
    {
      "id": "item id",
      "category_id": "item category",
      "currency_id": "BRL",
      "description": "item description",
      "picture_url": "item picture url",
      "title": "item title",
      "quantity": 1,
      "unit_price": 5
    }
  ],
  "cancelled": false,
  "additional_info": "additional information",
  "application_id": "10000000000000000",
  "order_status": "paid"
}